doctype html
head
  meta(charset='utf-8')
  title Korkey's Dapps
  meta(name='viewport' content='width=device-width, initial-scale=1')

  link(rel="preconnect" href="https://fonts.googleapis.com")
  link(rel="preconnect" href="https://fonts.gstatic.com" crossorigin)
  link(href="https://fonts.googleapis.com/css2?family=Inconsolata:wght@200;300;400;500;600;700;800;900&display=swap" rel="stylesheet")

  link(rel='stylesheet' href='~/index.scss')

.world
  h1(title="Korkey’s Dapps") Korkey’s Dapps

  .dapps

  footer
    .credits
      .by Brought to you by
        br
        a(href="https://korkey.eth")
          strong korkey.eth

      .send-tip
        style.
          #send-tip.copied {
            color: green;
            text-decoration: none;
          }

        script.
          function copyTipAddress(event) {
            event.preventDefault();

            let origContent = event.target.textContent

            navigator.clipboard.writeText(event.target.dataset.address)

            event.target.classList.add('copied')
            event.target.innerHTML = '√ Copied tip address to clipboard √<br>❤️ Thank you! ❤️'

            setTimeout(() => {
              event.target.classList.remove('copied')
              event.target.textContent = origContent
            }, 6000)
          }

        | Do you find these tools useful?
        br
        | Feeling charitable?
        br
        a#send-tip(onclick="copyTipAddress(event)" data-address="tips.korkey.eth" href="#") Send me a tip

      .shot
        | Want to work together or sponsor a project?
        br
        | Have a feature/dapp request?
        br
        a(href="https://t.me/korkey128k/") Get in touch

script(
  data-goatcounter="https://stats.korkey.tech/count"
  async=`true`
  src="https://stats.korkey.tech/count.js"
)

script(src="~/index.js" type="module")
